Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.renderkit
Class AjaxEventOptions

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.ajax4jsf.renderkit.AjaxEventOptions

All Implemented Interfaces:
  org.ajax4jsf.javascript.ScriptString

    public class AjaxEventOptions

extends org.ajax4jsf.javascript.ScriptStringBase

Since:
  4.0
Author:
  Nick Belaevski

Field Summary
`static java.lang.String` | `PARAMETERS`

Constructor Summary
`AjaxEventOptions()`

Method Summary
`void` | `appendScript(java.lang.StringBuffer functionString)`
`java.lang.Object` | `get(java.lang.String optionName)`
`java.lang.Object` | `getParameter(java.lang.String parameterName)`
`java.util.Map<java.lang.String,java.lang.Object>` | `getParameters()`
`boolean` | `hasParameters()`
`boolean` | `isEmpty()`
`void` | `remove(java.lang.String optionName)`
`void` | `removeParameter(java.lang.String parameterName)`
`void` | `set(java.lang.String optionName, java.lang.Object optionValue)`
`void` | `setParameter(java.lang.String parameterName, java.lang.Object parameterValue)`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`toScript, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PARAMETERS

    public static final java.lang.String PARAMETERS

See Also:
  Constant Field Values

Constructor Detail

### AjaxEventOptions

    public AjaxEventOptions()

Method Detail

### appendScript

    public void appendScript(java.lang.StringBuffer functionString)

### isEmpty

    public boolean isEmpty()

### get

    public java.lang.Object get(java.lang.String optionName)

### set

    public void set(java.lang.String optionName,
                    java.lang.Object optionValue)

### remove

    public void remove(java.lang.String optionName)

### hasParameters

    public boolean hasParameters()

### getParameters

    public java.util.Map<java.lang.String,java.lang.Object> getParameters()

### getParameter

    public java.lang.Object getParameter(java.lang.String parameterName)

### setParameter

    public void setParameter(java.lang.String parameterName,
                             java.lang.Object parameterValue)

### removeParameter

    public void removeParameter(java.lang.String parameterName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.